Set Currency

Set Currency
Set currency

Set currency

Request
URI
POST
https://{api_host}/suite-api/api/costconfig/currency
COPY
Request Body

The Currency configuration

currency-config of type(s) application/json
Required

Show optional properties

{
    "code": "string"
}
"{\n  \"code\" : \"USD\"\n}"
string
code
Required

ISO 4217 currency code for this currency

Authentication
This operation uses the following authentication methods.
Responses
201

Currency containing currency details

Returns currency of type(s) application/json
"{\n  \"name\" : \"US Dollar\",\n  \"code\" : \"USD\",\n  \"numericCode\" : \"840\",\n  \"symbol\" : \"\\\\$\"\n}"
string
code
Required

ISO 4217 currency code for this currency

string
name
Required

The name of this currency in a current locale

string
numericCode
Required

ISO 4217 numeric code for this currency

string
symbol
Optional

Symbol corresponding to this currency


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"code":"string"}' https://{api_host}/suite-api/api/costconfig/currency